Your message dated Mon, 21 Aug 2006 20:17:09 -0300
with message-id <[EMAIL PROTECTED]>
and subject line Bug closed in version 6.0.2-3
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: grass
Version: 6.0.2-2
Severity: serious
Tags: patch

When building 'grass' in a clean 'unstable' chroot,
I get the following error:

checking for XmStringCreate in -lXm... yes
checking whether to use GLw... yes
checking for location of GLw includes... 
checking for GL/GLwMDrawA.h... no
checking for X11/GLw/GLwMDrawA.h... no
configure: error: *** Unable to locate GLwM includes.
make: *** [config-stamp] Error 1

The attached patch fixes this problem by changing the Build-Depends 
from 'xlibmesa-gl-dev' to 'libgl1-mesa-swx11-dev' in debian/control.

Regards
Andreas Jochens

diff -urN ../tmp-orig/grass-6.0.2/debian/control ./debian/control
--- ../tmp-orig/grass-6.0.2/debian/control      2006-06-14 09:54:52.000000000 
+0000
+++ ./debian/control    2006-06-14 09:44:15.000000000 +0000
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <[EMAIL PROTECTED]>, Steve Halasz <[EMAIL 
PROTECTED]>
-Build-depends: flex, bison, libreadline5-dev | libreadline-dev, 
libncurses5-dev, lesstif2-dev, debhelper (>= 4.0.2), dpatch, libtiff4-dev, 
tcl8.4-dev, tk8.4-dev, fftw3-dev, libxmu-dev, xlibmesa-gl-dev, libglu1-xorg-dev 
| xlibmesa-glu-dev, libfreetype6-dev, autoconf2.13, autotools-dev, 
libgdal1-1.3.1-dev, proj (>= 4.4.7), libjpeg62-dev, libpng12-dev, libpq-dev | 
postgresql-dev, unixodbc-dev, doxygen, fakeroot, libmysqlclient15-dev | 
libmysqlclient14-dev, graphviz
+Build-depends: flex, bison, libreadline5-dev | libreadline-dev, 
libncurses5-dev, lesstif2-dev, debhelper (>= 4.0.2), dpatch, libtiff4-dev, 
tcl8.4-dev, tk8.4-dev, fftw3-dev, libxmu-dev, libgl1-mesa-swx11-dev, 
libglu1-xorg-dev | xlibmesa-glu-dev, libfreetype6-dev, autoconf2.13, 
autotools-dev, libgdal1-1.3.1-dev, proj (>= 4.4.7), libjpeg62-dev, 
libpng12-dev, libpq-dev | postgresql-dev, unixodbc-dev, doxygen, fakeroot, 
libmysqlclient15-dev | libmysqlclient14-dev, graphviz
 Standards-Version: 3.6.2
 
 Package: grass


--- End Message ---
--- Begin Message ---
Version: 6.0.2-3

This bug had been fixed in version 6.0.2-3, after the NMU.  But the changelog
entry was never processed, and therefore did not trigger the automatic closing.

grass (6.0.2-3) unstable; urgency=low

  * Change build-dependency on xlibmesa-gl-dev to libgl1-mesa-swx11-dev;
    fixes FTBFS, patch from Andreas Jochens. Ack NMU.
    (Closes: #373569)
  * Policy bumped to 3.7.2, no changes.

 -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Sat, 24 Jun 2006 21:50:19 
+0200

-- 
Love,
        Marga.

Attachment: signature.asc
Description: Digital signature


--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to